@echo off
cls
echo -----------------------------
echo - Update tool ESP32  -
echo -        Version V4.13       -
echo -----------------------------
echo.
echo.
echo Press any key to continue.
pause >NUL
cls
echo Update instructions:
echo --------------------
echo.
echo 1. Make sure the driver for the ESP32 board is installed on your Windows PC. 
echo You can download the driver at: 
echo https://www.silabs.com/developers/usb-to-uart-bridge-vcp-drivers
echo.
echo 2. Remove the jumper (JP1) on the front panel. Don't forget to put it back after the update.
echo.
echo 3. After the update is finished. Update your display. Use an SD card, put the right TFT file
echo on it and place it in your display. Now power your tuner.
echo Don't forget to remove the SD card when update is finished.
echo UPDATE INSTRUCTIONS IN README FILE IN NEXTION FOLDER!!!
echo.
echo When these steps have been completed successfully, you can cycle power on your tuner. 
echo It should be ready to use.
echo.
echo PLEASE NOTE:
echo All settings are now restored to default. This includes the internal coaxswitch and the
echo rotary encoder settings! If needed, reconfigure them!
echo.
echo.
echo Press any key to continue.
pause >NUL
cls
echo Available COM-ports:
chgport
echo.
set /p COM=Enter Comport number (example: 3):
esptool.exe --chip esp32 --port COM%COM% --baud 921600 --before default_reset --after hard_reset write_flash -z --flash_mode dio --flash_freq 80m --flash_size detect 0xe000 boot_app0.bin 0x1000 bootloader_dio_80m.bin 0x10000 esp32.bin 0x8000 partitions.bin 
echo.
echo.
echo.
echo Update done. When no errors, remove power from your tuner. Wait 5 seconds and plug it back in!
echo.
echo Press any key to close this update window.
pause >NUL